Bug 1676417 - Can not use LDAP IDP on 4.0 cluster.
Summary: Can not use LDAP IDP on 4.0 cluster.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Auth
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.1.0
Assignee: Standa Laznicka
QA Contact: scheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-12 08:58 UTC by scheng
Modified: 2019-06-04 10:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:44:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:44:07 UTC

Comment 1 Standa Laznicka 2019-02-12 11:14:47 UTC
Fixed in https://github.com/openshift/cluster-authentication-operator/pull/68

Comment 3 Chuan Yu 2019-02-13 06:18:27 UTC
The PR was merged, move to ON_QA to verfiy.

Comment 4 scheng 2019-02-14 05:34:59 UTC
Verified

# oc get user
NAME      UID                                    FULL NAME      IDENTITIES
newton    045b85ce-301a-11e9-9128-0a580a82001b   Isaac Newton   ldapidp:uid=newton,dc=example,dc=com


# oc get clusterversion version -o json |jq .status.desired
{
  "image": "registry.svc.ci.openshift.org/ocp/release@sha256:8168c9d2a331b6e8ca5e9b08f623d7f0ff50277bbc63fa71b1bc2a8c806f2ddf",
  "version": "4.0.0-0.nightly-2019-02-13-204401"
}

Comment 7 errata-xmlrpc 2019-06-04 10:44:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.